Package org.apache.solr.common.params

# Enum Class FacetParams.FacetRangeOther

java.lang.Object
java.lang.Enum<FacetParams.FacetRangeOther>
org.apache.solr.common.params.FacetParams.FacetRangeOther

All Implemented Interfaces:
  `Serializable`, `Comparable<FacetParams.FacetRangeOther>`, `java.lang.constant.Constable`

Enclosing interface:
  `FacetParams`

public static enum FacetParams.FacetRangeOther extends Enum<FacetParams.FacetRangeOther>
An enumeration of the legal values for `FacetParams.FACET_RANGE_OTHER` and `FacetParams.FACET_DATE_OTHER` ...

- before = the count of matches before the start
- after = the count of matches after the end
- between = the count of all matches between start and end
- all = all of the above (default value)
- none = no additional info requested

See Also:
  - `FacetParams.FACET_RANGE_OTHER`
  - `FacetParams.FACET_DATE_OTHER`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AFTER`
`ALL`
`BEFORE`
`BETWEEN`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static FacetParams.FacetRangeOther`
`get(String label)`
`String`
`toString()`
`static FacetParams.FacetRangeOther`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FacetParams.FacetRangeOther[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEFORE

public static final FacetParams.FacetRangeOther BEFORE

### AFTER

public static final FacetParams.FacetRangeOther AFTER

### BETWEEN

public static final FacetParams.FacetRangeOther BETWEEN

### ALL

public static final FacetParams.FacetRangeOther ALL

### NONE

public static final FacetParams.FacetRangeOther NONE

## Method Details

### values

public static FacetParams.FacetRangeOther[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FacetParams.FacetRangeOther valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FacetParams.FacetRangeOther>`

### get

public static FacetParams.FacetRangeOther get(String label)